Bug 71999 - Neat crashes when you click edit under hardware tab
Summary: Neat crashes when you click edit under hardware tab
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: null
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-08-20 17:05 UTC by Shaun Carter
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-22 21:23:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback from neat (494 bytes, text/plain)
2002-08-21 04:15 UTC, Shaun Carter
no flags Details

Description Shaun Carter 2002-08-20 17:05:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.1b) Gecko/20020721

Description of problem:
When running neat, if you go to the hardware tab, select a device and click
edit.  Neat crashes with a traceback (will post if needed)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run 'neat'
2. click on hardware tab
3. select hardware device
4. click edit

	

Actual Results:  Neat crashes with a traceback available.

Expected Results:  edit dialogue should come up.

Additional info:

stock (null) install on TP600x laptop with WPC11 pcmcia card.

Comment 1 Bill Nottingham 2002-08-21 03:25:04 UTC
Please post the traceback.

Comment 2 Shaun Carter 2002-08-21 04:15:42 UTC
Created attachment 71825 [details]
traceback from neat

Comment 3 Shaun Carter 2002-08-21 04:18:43 UTC
Traceback (most recent call last):
  File "/usr/sbin/neat", line 1333, in on_hardwareEditButton_clicked
    self.showHardwareDialog(type, true)
  File "/usr/sbin/neat", line 1388, in showHardwareDialog
    dl = dialog.xml.get_widget('Dialog')
UnboundLocalError: local variable 'dialog' referenced before assignment


Comment 4 Harald Hoyer 2002-08-22 12:52:15 UTC
fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.